package com.ss.android.ugc.aweme.feed.model.story;

import X.M12;
import com.bytedance.covode.number.Covode;

public final class StoryKt {
    static {
        Covode.recordClassIndex(79074);
    }

    public static final Story copyStory(Story story) {
        Story story2 = story;
        if (story2 != null) {
            return Story.copy$default(story2, 0, false, 0, false, 0, false, false, false, false, 511, (Object) null);
        }
        return null;
    }

    public static final boolean isExpired(Story story) {
        M12.LIZ(story);
        if (story.getExpiredAt() < System.currentTimeMillis()) {
            return true;
        }
        return false;
    }
}
